import { ElementRef, EventEmitter, Renderer2 } from '@angular/core';
import { FileError, FileOption, NgxfDirectoryStructure, NgxfUploadDirective } from './ngxf-uploader.model';
import * as i0 from "@angular/core";
/**
 * provide a directive for you to set area can be drop file into
 */
export declare class NgxfDropDirective implements NgxfUploadDirective {
    private _elm;
    private _render;
    /** when get drop file into area that will trigger */
    onUpload: EventEmitter<File | File[] | NgxfDirectoryStructure[] | FileError>;
    fileOption: FileOption;
    multiple: string;
    accept: string;
    structure: NgxfUploadDirective['structure'];
    /**
     * add class when drop into this drop area
     * @default 'drop'
     */
    dropClass: string;
    constructor(_elm: ElementRef, _render: Renderer2);
    drop(e: DragEvent): Promise<void>;
    dragenter(e: Event): void;
    dragleave(e: Event): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<NgxfDropDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<NgxfDropDirective, "[ngxf-drop]", never, { "fileOption": "ngxf-validate"; "multiple": "multiple"; "accept": "accept"; "structure": "structure"; "dropClass": "drop-class"; }, { "onUpload": "ngxf-drop"; }, never>;
}
