import { AfterViewInit, ElementRef, EventEmitter, OnDestroy, Renderer2 } from '@angular/core';
import { FileError, FileOption, NgxfDirectoryStructure, NgxfUploadDirective } from './ngxf-uploader.model';
import * as i0 from "@angular/core";
/**
 * provide a directive that can let you select file upload by click
 */
export declare class NgxfSelectDirective implements AfterViewInit, OnDestroy, NgxfUploadDirective {
    private _render;
    private _elm;
    /** when use select some files end, that will trigger */
    uploadOutput: EventEmitter<File | File[] | NgxfDirectoryStructure[] | FileError>;
    fileOption: FileOption;
    multiple: string;
    accept: string;
    /** is that is select folder mode, only work when `multiple` also be `true` */
    folder: boolean;
    structure: NgxfUploadDirective['structure'];
    private fileElm;
    changeListen: () => void;
    constructor(_render: Renderer2, _elm: ElementRef);
    click(): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    private bindBeforeClick;
    static ɵfac: i0.ɵɵFactoryDeclaration<NgxfSelectDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<NgxfSelectDirective, "[ngxf-select]", never, { "fileOption": "ngxf-validate"; "multiple": "multiple"; "accept": "accept"; "folder": "folder"; "structure": "structure"; }, { "uploadOutput": "ngxf-select"; }, never>;
}
